/***************************************************************************
                          SimpleHSV.h  -  description
                             -------------------
    begin                : Son Mai 11 2003
    copyright            : (C) 2003 by Thomas Dreibholz
    email                : dreibh@exp-math.uni-essen.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SIMPLEHSV_H
#define SIMPLEHSV_H

#include <colorschemeinterface.h>

/**
  *@author Thomas Dreibholz
  */

class SimpleHSV : public ColorSchemeInterface  {
   public:
   SimpleHSV();
   ~SimpleHSV();
   const char* getName();
   unsigned int getColor(const unsigned int value);
   virtual const char* getSaveIdentifier();

   private:
   static SimpleHSV* Registration;
};

#endif
